com.google.common.base

## Class Defaults

- java.lang.Object
- - com.google.common.base.Defaults

-     @CheckReturnValue
      public final class Defaults
      extends java.lang.Object

  This class provides default values for all Java types, as defined by the JLS.
  Since:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `defaultValue(java.lang.Class<T> type)` Returns the default value of `type` as defined by JLS --- `0` for numbers, `false` for `boolean` and `'\0'` for `char`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### defaultValue

          @Nullable
          public static <T> T defaultValue(java.lang.Class<T> type)

      Returns the default value of `type` as defined by JLS --- `0` for numbers, `false` for `boolean` and `'\0'` for `char`. For non-primitive types and `void`, `null` is returned.